## class OSGUTIL_EXPORT osgUtil::HighlightMapGenerator

> This cube map generator produces a specular highlight map.

## Inheritance:

### Public Methods

HighlightMapGenerator( const osg::Vec3 &light_direction, const osg::Vec4 &light_color, float specular_exponent, int texture_size = 64)
HighlightMapGenerator(const HighlightMapGenerator &copy, const osg::CopyOp &copyop = osg::CopyOp::SHALLOW_COPY)
inline osg::Vec4 compute_color(const osg::Vec3 &R) const

### Protected Methods

virtual ~HighlightMapGenerator()
HighlightMapGenerator& operator=(const HighlightMapGenerator &)
inline virtual osg::Vec4 compute_color(const osg::Vec3 &R) const

### Inherited from CubeMapGenerator:

### Public Methods

void generateMap(bool use_osg_system = true)
inline osg::Image* getImage(osg::TextureCubeMap::Face face)
inline const osg::Image* getImage(osg::TextureCubeMap::Face face) const
inline void set_pixel(int index, int c, int r, const osg::Vec4 &color)
inline osg::Vec4 vector_to_color(const osg::Vec3 &vec)

### Protected Methods

inline static osg::Vec4 vector_to_color(const osg::Vec3 &vec)

## Documentation

> This cube map generator produces a specular highlight map. The vector-color association is: C = (R dot (-L)) ^ n, where C is the resulting color, R is the reflection vector, L is the light direction and n is the specular exponent.

`HighlightMapGenerator( const osg::Vec3 &light_direction, const osg::Vec4 &light_color, float specular_exponent, int texture_size = 64)`

`HighlightMapGenerator(const HighlightMapGenerator &copy, const osg::CopyOp &copyop = osg::CopyOp::SHALLOW_COPY)`

`virtual ~HighlightMapGenerator()`

`HighlightMapGenerator& operator=(const HighlightMapGenerator &)`

`inline virtual osg::Vec4 compute_color(const osg::Vec3 &R) const`

`inline osg::Vec4 compute_color(const osg::Vec3 &R) const`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.